Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.model.multiple
Class Period

    java.lang.Object
      datechooser.model.multiple.DateOutputStyle
          datechooser.model.multiple.Period

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

    public class Period

extends DateOutputStyle
implements java.lang.Comparable, java.io.Serializable, java.lang.Cloneable

Period (interval between start and end dates).
Класс, описывающий период.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Constructor Summary
`Period(java.util.Calendar aDate)` Creates period contained one date (start=end).
`Period(java.util.Calendar start, java.util.Calendar end)` Sets minimal date as startn (even if end date parameter before start).

Method Summary
`java.lang.Object` | `clone()` Deep period clone.
`int` | `compareTo(java.lang.Object o)` Compares periods.
`boolean` | `equals(java.lang.Object obj)` Are periods equals.
`java.util.Calendar` | `getEndDate()` Get end date.
`java.util.Calendar` | `getStartDate()` Get start period date.
`boolean` | `isIn(java.util.Calendar aDate)` Is given date in period.
`boolean` | `isIntersects(Period anotherPeriod)` Does current period intersect another.
`boolean` | `isNear(java.util.Calendar date)` Is current period near to date.
`boolean` | `isNear(Period anotherPeriod)` Is current period near to another.
`boolean` | `isOneDate()` Is period equals one date.
`boolean` | `isValid()` Is period valid.
`void` | `set(java.util.Calendar start, java.util.Calendar end)` Sets minimal date as startn (even if end date parameter before start).
`void` | `setEndDate(java.util.Calendar endDate)` Sets period end.
`void` | `setStartDate(java.util.Calendar startDate)` Sets period start.
`java.lang.String` | `toString()` Cast to String.
`java.lang.String` | `toString(java.text.DateFormat dateFormat)` Cast to String.
`java.lang.String` | `toString(int fmtStyle, java.util.Locale locale)` Cast to String.
`void` | `unite(Period anotherPeriod)` Unites two periods.

Methods inherited from class datechooser.model.multiple.DateOutputStyle
`getDateFormat, getFormat, getLocale, setFormat, setLocale`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Period

    public Period(java.util.Calendar start,
                  java.util.Calendar end)

  Sets minimal date as startn (even if end date parameter before start).
  Вне зависимости от порядка параметров началом периода устанавливается меньшая дата.

  Parameters:
    `start` - Period start.
    Начало периода
    `end` - Period end.
    Конец периода.
  Since:
    1.0

### Period

    public Period(java.util.Calendar aDate)

  Creates period contained one date (start=end).
  Создает период, состоящий из одной даты.

  Parameters:
    `aDate` - Date.
    Дата
  Since:
    1.0

Method Detail

### set

    public void set(java.util.Calendar start,
                    java.util.Calendar end)

  Sets minimal date as startn (even if end date parameter before start).
  Вне зависимости от порядка параметров началом периода устанавливается меньшая дата.

  Parameters:
    `start` - Period start.
    Начало периода
    `end` - Period end.
    Конец периода.
  Since:
    1.0

### isIn

    public boolean isIn(java.util.Calendar aDate)

  Is given date in period.
  Проверяет, лежит ли заданная дата внутри периода.

  Since:
    1.0

### getStartDate

    public java.util.Calendar getStartDate()

  Get start period date.
  Возвращает начальную дату.

  Since:
    1.0

### setStartDate

    public void setStartDate(java.util.Calendar startDate)

  Sets period start.
  Устанавливает дату начала периода. Можно передать null, переведя период в недействительное состояние.

  Parameters:
    `startDate` - Start date. null make period invalid.
    Начальная дата. null переводит период в недействительное сосотояние.
  Since:
    1.0

### getEndDate

    public java.util.Calendar getEndDate()

  Get end date.
  Возвращает конечную дату.

  Since:
    1.0

### setEndDate

    public void setEndDate(java.util.Calendar endDate)

  Sets period end.
  Устанавливает дату конца периода. Можно передать null, переведя период в недействительное состояние.

  Parameters:
    `endDate` - End date. null make period invalid.
    Дата конца периода. null переводит период в недействительное сосотояние.
  Since:
    1.0

### isOneDate

    public boolean isOneDate()

  Is period equals one date.
  Состоит ли период из одной даты.

  Since:
    1.0

### isValid

    public boolean isValid()

  Is period valid. Invalid if start or end equals null.
  Корректен ли период. Некорректен - если начало или конец null.

  Since:
    1.0

### compareTo

    public int compareTo(java.lang.Object o)

  Compares periods. If they intersect, return 0.
  Сравнивает периоды. Если они пересекаются, возвращает 0.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Since:
    1.0

### isIntersects

    public boolean isIntersects(Period anotherPeriod)

  Does current period intersect another.
  Пересекает ли переданный период текущий.

  Since:
    1.0

### isNear

    public boolean isNear(Period anotherPeriod)

  Is current period near to another.
  Граничит ли переданный период с текущим.

  Since:
    1.0

### isNear

    public boolean isNear(java.util.Calendar date)

  Is current period near to date.
  Граничит ли переданная дата с текущим периодом.

  Since:
    1.0

### unite

    public void unite(Period anotherPeriod)

  Unites two periods. If they don't intersect, ne period contains dates between source periods.
  Объединяет периоды. Если они не пересекаются, в результирующий период включаются и даты между исходными.

  Since:
    1.0

### equals

    public boolean equals(java.lang.Object obj)

  Are periods equals. Intersecting periods are considered as equals.
  Проверяет периоды на равенство. Пересекающиеся периоды считаются (с точки зрения требований задачи) равными.

  Overrides:
    `equals` in class `java.lang.Object`
  Since:
    1.0

### clone

    public java.lang.Object clone()

  Deep period clone.
  Глубокое клонирование периода.

  Overrides:
    `clone` in class `java.lang.Object`
  Since:
    1.0

### toString

    public java.lang.String toString()

  Cast to String.
  Преобразование в строку.

  Overrides:
    `toString` in class `java.lang.Object`
  Since:
    1.0

### toString

    public java.lang.String toString(int fmtStyle,
                                     java.util.Locale locale)

  Cast to String.
  Преобразование в строку.

  Parameters:
    `fmtStyle` - Date format style.
    Стиль отображения дат.
    `locale` - Locale.
    Локализация.
  Since:
    1.0

### toString

    public java.lang.String toString(java.text.DateFormat dateFormat)

  Cast to String.
  Преобразование в строку.

  Parameters:
    `dateFormat` - Date format.
    Фомат дат.
  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD